org.omg.IOP

## Class IOR

- java.lang.Object
- - org.omg.IOP.IOR

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class IOR
      extends Object
      implements IDLEntity

  org/omg/IOP/IOR.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java8-openjdk/src/jdk8u-jdk8u45-b14/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Monday, April 20, 2015 5:13:54 PM UTC

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TaggedProfile[]` | `profiles` An array of tagged profiles associated with this object reference.
    `String` | `type_id` The type id, represented as a String.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOR()`
    `IOR(String _type_id, TaggedProfile[] _profiles)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type_id

          public String type_id

      The type id, represented as a String.

    - #### profiles

          public TaggedProfile[] profiles

      An array of tagged profiles associated with this object reference.

  - ### Constructor Detail

    - #### IOR

          public IOR()

    - #### IOR

          public IOR(String _type_id,
                     TaggedProfile[] _profiles)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.